package com.tin.tds.bean;

import java.text.DecimalFormat;
import java.text.DecimalFormatSymbols;
import java.util.Locale;

public class SAMSCMDataBean {

	private static DecimalFormatSymbols sf = new DecimalFormatSymbols(Locale.ENGLISH);
	private static DecimalFormat df  = new DecimalFormat("#.00",sf);
	private String orgRRRNo="-";
	private String prevRRRNo="-";
	private String empAdd1="-";
	private String empAdd2="-";
	private String empAdd3="-";
	private String empAdd4="-";
	private String empAdd5="-";
	private String empState="-";
	private String empPin="-";
	private String dedType="-";
	private String approvalTaken="-";
	private String approvalNo="-";
	private String additionTotalAmountPaidCredited="-";
	private String additionTotalTaxDeducted="-";
	private String additionTotalAmountDeposited="-";
	private String totalOfLastTotalOfDepositAmountAsPerChallan="-";
	private String samScmLastTotalIncomeTaxDeductedAtSource="-";
	private String samScmRrrNum="-";
	private String samScmRrrDate="-";
	
	
	
	public String getOrgRRRNo() {
		return orgRRRNo;
	}
	public void setOrgRRRNo(String orgRRRNo) {
		
		if(orgRRRNo!=null && !orgRRRNo.equals(""))
		{
			this.orgRRRNo = orgRRRNo;
		}
	}
	public String getPrevRRRNo() {
		return prevRRRNo;
	}
	public void setPrevRRRNo(String prevRRRNo) {
		if(prevRRRNo!=null && !prevRRRNo.equals(""))
		{
			this.prevRRRNo = prevRRRNo;
		}
	}
	public String getEmpAdd1() {
		return empAdd1;
	}
	public void setEmpAdd1(String empAdd1) {
		if(empAdd1!=null && !empAdd1.equals(""))
		{
			this.empAdd1 = empAdd1;
		}
	}
	public String getEmpAdd2() {
		return empAdd2;
	}
	public void setEmpAdd2(String empAdd2) {
		if(empAdd2!=null && !empAdd2.equals(""))
		{
			this.empAdd2 = empAdd2;
		}
	}
	public String getEmpAdd3() {
		return empAdd3;
	}
	public void setEmpAdd3(String empAdd3) {
		if(empAdd3!=null && !empAdd3.equals(""))
		{
			this.empAdd3 = empAdd3;
		}
	}
	public String getEmpAdd4() {
		return empAdd4;
	}
	public void setEmpAdd4(String empAdd4) {
		if(empAdd4!=null && !empAdd4.equals(""))
		{
			this.empAdd4 = empAdd4;
		}
	}
	public String getEmpAdd5() {
		return empAdd5;
	}
	public void setEmpAdd5(String empAdd5) {
		if(empAdd5!=null && !empAdd5.equals(""))
		{
			this.empAdd5 = empAdd5;
		}
	}
	public String getEmpState() {
		return empState;
	}
	public void setEmpState(String empState) {
		if(empState!=null && !empState.equals(""))
		{
			this.empState = empState;
		}
	}
	public String getEmpPin() {
		return empPin;
	}
	public void setEmpPin(String empPin) {
		if(empPin!=null && !empPin.equals(""))
		{
			this.empPin = empPin;
		}
	}
	public String getDedType() {
		return dedType;
	}
	public void setDedType(String dedType) {
		if(dedType!=null && !dedType.equals(""))
		{
			this.dedType = dedType;
		}
	}
	public String getApprovalTaken() {
		return approvalTaken;
	}
	public void setApprovalTaken(String approvalTaken) {
		if(approvalTaken!=null && !approvalTaken.equals(""))
		{
			this.approvalTaken = approvalTaken;
		}
	}
	public String getApprovalNo() {
		return approvalNo;
	}
	public void setApprovalNo(String approvalNo) {
		if(approvalNo!=null && !approvalNo.equals(""))
		{
			this.approvalNo = approvalNo;
		}
	}
	
	public String getSamScmRrrNum() {
		return samScmRrrNum;
	}
	public void setSamScmRrrNum(String samScmRrrNum) {
		if(samScmRrrNum!=null && !samScmRrrNum.equals(""))
		{
			this.samScmRrrNum = samScmRrrNum;
		}
	}
	public String getSamScmRrrDate() {
		return samScmRrrDate;
	}
	public void setSamScmRrrDate(String samScmRrrDate) {
		if(samScmRrrDate!=null && !samScmRrrDate.equals(""))
		{
			this.samScmRrrDate = samScmRrrDate;
		}
	}
	public String getAdditionTotalAmountPaidCredited() {
		return additionTotalAmountPaidCredited;
	}
	public void addAdditionTotalAmountPaidCredited(
			String additionTotalAmountPaidCredited) {
		
		if(additionTotalAmountPaidCredited!=null && !additionTotalAmountPaidCredited.equals(""))
		{
			if(this.additionTotalAmountPaidCredited.equals("-"))
			{
				this.additionTotalAmountPaidCredited = df.format(Double.parseDouble(additionTotalAmountPaidCredited));
			}
			else
			{
				this.additionTotalAmountPaidCredited = df.format(Double.parseDouble(this.additionTotalAmountPaidCredited)+Double.parseDouble(additionTotalAmountPaidCredited));
			}
		}
	}
	public String getAdditionTotalTaxDeducted() {
		return additionTotalTaxDeducted;
	}
	public void addAdditionTotalTaxDeducted(String additionTotalTaxDeducted) {
		if(additionTotalTaxDeducted!=null && !additionTotalTaxDeducted.equals(""))
		{
			if(this.additionTotalTaxDeducted.equals("-"))
			{
				this.additionTotalTaxDeducted = df.format(Double.parseDouble(additionTotalTaxDeducted));
			}
			else
			{
				this.additionTotalTaxDeducted = df.format(Double.parseDouble(this.additionTotalTaxDeducted)+Double.parseDouble(additionTotalTaxDeducted));
			}
		}
	}
	public String getAdditionTotalAmountDeposited() {
		return additionTotalAmountDeposited;
	}
	public void addAdditionTotalAmountDeposited(String additionTotalAmountDeposited) {
		if(additionTotalAmountDeposited!=null && !additionTotalAmountDeposited.equals(""))
		{
			if(this.additionTotalAmountDeposited.equals("-"))
			{
				this.additionTotalAmountDeposited = df.format(Double.parseDouble(additionTotalAmountDeposited));
			}
			else
			{
				this.additionTotalAmountDeposited = df.format(Double.parseDouble(this.additionTotalAmountDeposited)+Double.parseDouble(additionTotalAmountDeposited));
			}
		}
	}
	public String getTotalOfLastTotalOfDepositAmountAsPerChallan() {
		return totalOfLastTotalOfDepositAmountAsPerChallan;
	}
	public void addTotalOfLastTotalOfDepositAmountAsPerChallan(
			String totalOfLastTotalOfDepositAmountAsPerChallan) {
		if(totalOfLastTotalOfDepositAmountAsPerChallan!=null && !totalOfLastTotalOfDepositAmountAsPerChallan.equals(""))
		{
			if(this.totalOfLastTotalOfDepositAmountAsPerChallan.equals("-"))
			{
				this.totalOfLastTotalOfDepositAmountAsPerChallan = df.format(Double.parseDouble(totalOfLastTotalOfDepositAmountAsPerChallan));
			}
			else
			{
				this.totalOfLastTotalOfDepositAmountAsPerChallan = df.format(Double.parseDouble(this.totalOfLastTotalOfDepositAmountAsPerChallan)+Double.parseDouble(totalOfLastTotalOfDepositAmountAsPerChallan));
			}
		}
	}
	public String getSamScmLastTotalIncomeTaxDeductedAtSource() {
		return samScmLastTotalIncomeTaxDeductedAtSource;
	}
	public void setSamScmLastTotalIncomeTaxDeductedAtSource(
			String samScmLastTotalIncomeTaxDeductedAtSource) {
		if(samScmLastTotalIncomeTaxDeductedAtSource!=null && !samScmLastTotalIncomeTaxDeductedAtSource.equals(""))
		{
			if(this.samScmLastTotalIncomeTaxDeductedAtSource.equals("-"))
			{
				this.samScmLastTotalIncomeTaxDeductedAtSource = df.format(Double.parseDouble(samScmLastTotalIncomeTaxDeductedAtSource));
			}
			else
			{
				this.samScmLastTotalIncomeTaxDeductedAtSource = df.format(Double.parseDouble(this.samScmLastTotalIncomeTaxDeductedAtSource)+Double.parseDouble(samScmLastTotalIncomeTaxDeductedAtSource));
			}
		}
	}
}
